Loading...
Searching...
No Matches
XrdClOperations.hh File Reference
`#include <memory>`
`#include <stdexcept>`
`#include <sstream>`
`#include <tuple>`
`#include <future>`
`#include "XrdCl/XrdClXRootDResponses.hh"`
`#include "XrdCl/XrdClOperationHandlers.hh"`
`#include "XrdCl/XrdClArg.hh"`
`#include "XrdCl/XrdClOperationTimeout.hh"`
`#include "XrdCl/XrdClFinalOperation.hh"`
`#include "XrdSys/XrdSysPthread.hh"`
`#include "XrdCl/XrdClResponseJob.hh"`
`#include "XrdCl/XrdClJobManager.hh"`
`#include "XrdCl/XrdClPostMaster.hh"`
`#include "XrdCl/XrdClDefaultEnv.hh"`
Include dependency graph for XrdClOperations.hh:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

class | XrdCl::ConcreteOperation< Derived, HasHndl, HdlrFactory, Args >
class | XrdCl::Operation< HasHndl >
class | XrdCl::Pipeline
class | XrdCl::PipelineHandler

## Namespaces

namespace | XrdCl

## Typedefs

typedef std::function< Operation< true > *(const XRootDStatus &)> | XrdCl::rcvry_func
| Type of the recovery function to be provided by the user.

## Functions

std::future< XRootDStatus > | XrdCl::Async (Pipeline pipeline, uint16_t timeout=0)
XRootDStatus | XrdCl::WaitFor (Pipeline pipeline, uint16_t timeout=0)